Index: /branches/numpy/anuga/shallow_water/test_shallow_water_domain.py
===================================================================
--- /branches/numpy/anuga/shallow_water/test_shallow_water_domain.py	(revision 6901)
+++ /branches/numpy/anuga/shallow_water/test_shallow_water_domain.py	(revision 6902)
@@ -27,10 +27,8 @@
 def linear_function(point):
     point = num.array(point)
-    return point[:,0] + point[:,1]
-
+    return point[:,0]+point[:,1]
 
 class Weir:
     """Set a bathymetry for weir with a hole and a downstream gutter
-
     x,y are assumed to be in the unit square
     """
@@ -45,15 +43,15 @@
         z = num.zeros(N, num.float)
         for i in range(N):
-            z[i] = -x[i] / 2    # General slope
-
-            # Flattish bit to the left
+            z[i] = -x[i]/2  #General slope
+
+            #Flattish bit to the left
             if x[i] < 0.3:
                 z[i] = -x[i]/10
 
-            # Weir
+            #Weir
             if x[i] >= 0.3 and x[i] < 0.4:
                 z[i] = -x[i]+0.9
 
-            # Dip
+            #Dip
             x0 = 0.6
             depth = -1.0
@@ -62,34 +60,34 @@
                 if x[i] > x0 and x[i] < 0.9:
                     z[i] = depth
-                # RHS plateaux
+                #RHS plateaux
                 if x[i] >= 0.9:
                     z[i] = plateaux
             elif y[i] >= 0.7 and y[i] < 1.5:
-                # Restrict and deepen
+                #Restrict and deepen
                 if x[i] >= x0 and x[i] < 0.8:
                     z[i] = depth - (y[i]/3 - 0.3)
                 elif x[i] >= 0.8:
-                    # RHS plateaux
+                    #RHS plateaux
                     z[i] = plateaux
             elif y[i] >= 1.5:
                 if x[i] >= x0 and x[i] < 0.8 + (y[i]-1.5)/1.2:
-                    # Widen up and stay at constant depth
-                    z[i] = depth - 1.5/5
-                elif x[i] >= 0.8 + (y[i] - 1.5)/1.2:
-                    # RHS plateaux
+                    #Widen up and stay at constant depth
+                    z[i] = depth-1.5/5
+                elif x[i] >= 0.8 + (y[i]-1.5)/1.2:
+                    #RHS plateaux
                     z[i] = plateaux
 
-            # Hole in weir (slightly higher than inflow condition)
+            #Hole in weir (slightly higher than inflow condition)
             if x[i] >= 0.3 and x[i] < 0.4 and y[i] > 0.2 and y[i] < 0.4:
-                z[i] = -x[i] + self.inflow_stage + 0.02
-
-            # Channel behind weir
+                z[i] = -x[i]+self.inflow_stage + 0.02
+
+            #Channel behind weir
             x0 = 0.5
             if x[i] >= 0.4 and x[i] < x0 and y[i] > 0.2 and y[i] < 0.4:
-                z[i] = -x[i] + self.inflow_stage + 0.02
+                z[i] = -x[i]+self.inflow_stage + 0.02
 
             if x[i] >= x0 and x[i] < 0.6 and y[i] > 0.2 and y[i] < 0.4:
-                # Flatten it out towards the end
-                z[i] = -x0 + self.inflow_stage + 0.02 + (x0 - x[i])/5
+                #Flatten it out towards the end
+                z[i] = -x0+self.inflow_stage + 0.02 + (x0-x[i])/5
 
             # Hole to the east
@@ -97,12 +95,12 @@
             y0 = 0.35
             if num.sqrt((2*(x[i]-x0))**2 + (2*(y[i]-y0))**2) < 0.2:
-                z[i] = num.sqrt((x[i]-x0)**2 + (y[i]-y0)**2) - 1.0
-
-            # Tiny channel draining hole
+                z[i] = num.sqrt(((x[i]-x0))**2 + ((y[i]-y0))**2)-1.0
+
+            #Tiny channel draining hole
             if x[i] >= 1.14 and x[i] < 1.2 and y[i] >= 0.4 and y[i] < 0.6:
-                z[i] = -0.9    # North south
+                z[i] = -0.9 #North south
 
             if x[i] >= 0.9 and x[i] < 1.18 and y[i] >= 0.58 and y[i] < 0.65:
-                z[i] = -1.0 + (x[i]-0.9)/3    # East west
+                z[i] = -1.0 + (x[i]-0.9)/3 #East west
 
             # Stuff not in use
@@ -136,21 +134,22 @@
         z = num.zeros(N, num.float)
         for i in range(N):
-            z[i] = -x[i]    # General slope
-
-            # Flat bit to the left
+            z[i] = -x[i]  #General slope
+
+            #Flat bit to the left
             if x[i] < 0.3:
-                z[i] = -x[i]/10    # General slope
-
-            # Weir
+                z[i] = -x[i]/10  #General slope
+
+            #Weir
             if x[i] > 0.3 and x[i] < 0.4:
-                z[i] = -x[i] + 0.9
-
-            # Dip
+                z[i] = -x[i]+0.9
+
+            #Dip
             if x[i] > 0.6 and x[i] < 0.9:
-                z[i] = -x[i] - 0.5    # -y[i]/5
-
-            # Hole in weir (slightly higher than inflow condition)
+                z[i] = -x[i]-0.5  #-y[i]/5
+
+            #Hole in weir (slightly higher than inflow condition)
             if x[i] > 0.3 and x[i] < 0.4 and y[i] > 0.2 and y[i] < 0.4:
-                z[i] = -x[i] + self.inflow_stage + 0.05
+                z[i] = -x[i]+self.inflow_stage + 0.05
+
 
         return z/2
@@ -170,5 +169,5 @@
 
     N = len(x)
-    s = 0 * x    # New array
+    s = 0*x  #New array
 
     for k in range(N):
@@ -263,8 +262,8 @@
         H0 = 0.0
 
-        max_speed = flux_function(normal, ql, qr, zl, zr, edgeflux,
-                                  epsilon, g, H0)
-
-        assert num.allclose(edgeflux, [0, 0, 0])
+        
+        max_speed = flux_function(normal, ql, qr, zl, zr, edgeflux, epsilon, g, H0)
+
+        assert num.allclose(edgeflux, [0,0,0])
         assert max_speed == 0.
 
@@ -272,5 +271,5 @@
         w = 2.0
 
-        normal = num.array([1., 0])
+        normal = num.array([1.,0])
         ql = num.array([w, 0, 0])
         qr = num.array([w, 0, 0])
@@ -280,7 +279,5 @@
         H0 = 0.0
 
-        max_speed = flux_function(normal, ql, qr, zl, zr, edgeflux,
-                                  epsilon, g, H0)
-
+        max_speed = flux_function(normal, ql, qr, zl, zr, edgeflux, epsilon, g, H0)        
         assert num.allclose(edgeflux, [0., 0.5*g*h**2, 0.])
         assert max_speed == num.sqrt(g*h)
@@ -290,5 +287,5 @@
     #    w = 2.0
     #
-    #    normal = array([1., 0])
+    #    normal = array([1.,0])
     #    ql = array([w, 0, 0])
     #    qr = array([w, 0, 0])
@@ -1517,6 +1514,7 @@
         uh = u*h
 
-        Br = Reflective_boundary(domain)       # Side walls
-        Bd = Dirichlet_boundary([w, uh, 0])    # 2 m/s across the 3 m inlet:
+        Br = Reflective_boundary(domain)     # Side walls
+        Bd = Dirichlet_boundary([w, uh, 0])  # 2 m/s across the 3 m inlet: 
+
 
         # Initial conditions
Index: /branches/numpy/anuga/shallow_water/urs_ext.c
===================================================================
--- /branches/numpy/anuga/shallow_water/urs_ext.c	(revision 6901)
+++ /branches/numpy/anuga/shallow_water/urs_ext.c	(revision 6902)
@@ -104,6 +104,6 @@
                 memcpy(data + it, muxData + offset, sizeof(float));
 		
-		//printf("%d: muxdata=%f\n", it, muxData[offset]);	    		
-		//printf("data[%d]=%f, offset=%d\n", it, data[it], offset);	    
+		//printf("%d: muxdata=%f\n", it, muxData[offset]); 
+		//printf("data[%d]=%f, offset=%d\n", it, data[it], offset); 
                 offset++;
             }
@@ -221,5 +221,5 @@
 
         // Open the mux file
-        if((fp = fopen(muxFileName, "r")) == NULL)
+        if((fp = fopen(muxFileName, "rb")) == NULL)
         {
             char *err_msg = strerror(errno);
@@ -237,5 +237,5 @@
 	    }
         
-            fros = (int*) malloc(*total_number_of_stations*numSrc*sizeof(int)); 
+            fros = (int*) malloc(*total_number_of_stations*numSrc*sizeof(int));
             lros = (int*) malloc(*total_number_of_stations*numSrc*sizeof(int));
       
@@ -447,5 +447,5 @@
     temp_sts_data = (float*) calloc(len_sts_data, sizeof(float));
 
-    muxData = (float*) malloc(numDataMax*sizeof(float));
+    muxData = (float*) calloc(numDataMax, sizeof(float));
     
     // Loop over all sources
@@ -460,5 +460,5 @@
         // Read in data block from mux2 file
         muxFileName = muxFileNameArray[isrc];
-        if((fp = fopen(muxFileName, "r")) == NULL)
+        if((fp = fopen(muxFileName, "rb")) == NULL)
         {
             fprintf(stderr, "cannot open file %s\n", muxFileName);
@@ -470,54 +470,22 @@
         }
 
-        offset = sizeof(int) + total_number_of_stations*(sizeof(struct tgsrwg) + 2*sizeof(int));
-        fseek(fp, offset, 0);
+        offset = (long int)sizeof(int) + total_number_of_stations*(sizeof(struct tgsrwg) + 2*sizeof(int));
+        //printf("\n offset %i ", (long int)offset);
+	fseek(fp, offset, 0);
 
         numData = getNumData(fros_per_source, 
 			     lros_per_source, 
 			     total_number_of_stations);
-			     
-			     
-        			     
-        elements_read = fread(muxData, ((int) numData)*sizeof(float), 1, fp); 
+	// Note numData is larger than what it has to be.		     
+        //elements_read = fread(muxData, ((int) numData)*sizeof(float), 1, fp); 
+        elements_read = fread(muxData, (size_t) sizeof(float), (size_t) numData, fp); 
+	//printf("\n elements_read  %d, ", (int)elements_read);
+	//printf("\n ferror(fp)  %d, ", (int)ferror(fp));
 	if ((int) elements_read == 0 && ferror(fp)) {
 	  fprintf(stderr, "Error reading mux data\n");
 	  return NULL;
-	}
-	 	
-        fclose(fp);
+	}	
 	
-
-	// FIXME (Ole): This is where Nariman and Ole traced the platform dependent 
-	// difference on 11 November 2008. We don't think the problem lies in the 
-	// C code. Maybe it is a problem with the MUX files written by the unit test
-	// that fails on Windows but works OK on Linux. JJ's test on 17th November shows
-	// that as far as Python is concerned this file should be OK on both platforms.
-	
-	
-	
-	// These printouts are enough to show the problem when compared 
-	// on the two platforms 
-	//printf("\nRead %d elements, ", (int) numData);
-	//printf("muxdata[%d]=%f\n", 39, muxData[39]);		
-	
-	
-	/*
-        In Windows we get
-	
-	Read 85 elements, muxdata[39]=0.999574
-	Read 85 elements, muxdata[39]=-0.087599
-	Read 85 elements, muxdata[39]=-0.087599
-	
-	
-	In Linux we get (the correct)
-	
-	Read 85 elements, muxdata[39]=0.999574
-	Read 85 elements, muxdata[39]=-0.087599
-	Read 85 elements, muxdata[39]=1.490349
-	*/
-	
-	
-	
-	
+        fclose(fp);  
 	
         // loop over stations present in the permutation array 
Index: /branches/numpy/anuga/utilities/log.py
===================================================================
--- /branches/numpy/anuga/utilities/log.py	(revision 6901)
+++ /branches/numpy/anuga/utilities/log.py	(revision 6902)
@@ -60,4 +60,8 @@
 NOTSET = logging.NOTSET
 
+# get True if python version 2.5 or later
+(version_major, version_minor, _, _, _) = sys.version_info
+new_python = ((version_major == 2 and version_minor >= 5) or version_major > 2)
+
 
 ################################################################################
@@ -79,7 +83,4 @@
     global _setup, log_logging_level
 
-    # get running python version for later
-    (version_major, version_minor, _, _, _) = sys.version_info
-
     # have we been setup?
     if not _setup:
@@ -89,5 +90,5 @@
 
         # setup the file logging system
-        if version_major >= 2 and version_minor >= 5:
+        if new_python:
             fmt = '%(asctime)s %(levelname)-8s %(mname)25s:%(lnum)-4d|%(message)s'
         else:
@@ -109,5 +110,5 @@
                         logging.getLevelName(log_logging_level),
                         logging.getLevelName(console_logging_level)))
-        if version_major >= 2 and version_minor >= 5:
+        if new_python:
             logging.log(logging.CRITICAL, start_msg,
                         extra={'mname': __name__, 'lnum': 0})
@@ -127,5 +128,5 @@
             break
 
-    if version_major >= 2 and version_minor >= 5:
+    if new_python:
         logging.log(level, msg, extra={'mname': fname, 'lnum': lnum})
     else:
@@ -139,5 +140,5 @@
 # @brief Shortcut for log(DEBUG, msg).
 # @param msg Message string to log at logging.DEBUG level.
-def debug(msg):
+def debug(msg=''):
     log(logging.DEBUG, msg)
 
@@ -145,5 +146,5 @@
 # @brief Shortcut for log(INFO, msg).
 # @param msg Message string to log at logging.INFO level.
-def info(msg):
+def info(msg=''):
     log(logging.INFO, msg)
 
@@ -151,5 +152,5 @@
 # @brief Shortcut for log(WARNING, msg).
 # @param msg Message string to log at logging.WARNING level.
-def warning(msg):
+def warning(msg=''):
     log(logging.WARNING, msg)
 
@@ -157,5 +158,5 @@
 # @brief Shortcut for log(ERROR, msg).
 # @param msg Message string to log at logging.ERROR level.
-def error(msg):
+def error(msg=''):
     log(logging.ERROR, msg)
 
@@ -163,5 +164,5 @@
 # @brief Shortcut for log(CRITICAL, msg).
 # @param msg Message string to log at logging.CRITICAL level.
-def critical(msg):
+def critical(msg=''):
     log(logging.CRITICAL, msg)
 
@@ -219,7 +220,2 @@
     else:
         pass
-
-if __name__ == "__main__":
-    debug('DEBUG message')
-    info('INFO message')
-    warning('WARNING message')
Index: /branches/numpy/anuga/utilities/log_test.py
===================================================================
--- /branches/numpy/anuga/utilities/log_test.py	(revision 6901)
+++ /branches/numpy/anuga/utilities/log_test.py	(revision 6902)
@@ -27,9 +27,8 @@
 
     def tearDown(self):
-        pass
-#        if os.path.exists(LOGFILE_NAME):
-#            os.remove(LOGFILE_NAME)
-#        if os.path.exists(STDOUT_LOG_NAME):
-#            os.remove(STDOUT_LOG_NAME)
+        if os.path.exists(LOGFILE_NAME):
+            os.remove(LOGFILE_NAME)
+        if os.path.exists(STDOUT_LOG_NAME):
+            os.remove(STDOUT_LOG_NAME)
 
     ##
